Bug 1889583 - docker cgroups
Summary: docker cgroups
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: moby-engine
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 05:02 UTC by FlyDove
Modified: 2020-10-26 13:37 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-26 13:37:23 UTC
Type: Bug


Attachments (Terms of Use)

Description FlyDove 2020-10-20 05:02:10 UTC
Error response from daemon: cgroups: cgroup mountpoint does not exist: unknown


sudo docker run eror:

Comment 1 Daniel Walsh 2020-10-20 13:55:04 UTC
Docker is not a package in Fedora.

Comment 2 Olivier Lemasle 2020-10-21 21:30:07 UTC
1. Since Fedora 31, Fedora uses cgroup v2, and Docker is not yet compatible (it will be in next Docker release). To use Docker on Fedora >= 31, you need to revert to cgroups v1:

sudo grubby --update-kernel=ALL --args="systemd.unified_cgroup_hierarchy=0"
then reboot

Cf. https://fedoramagazine.org/docker-and-fedora-32/

2. Which package do you use? Please copy the output of:
- rpm -qf /usr/bin/docker
- docker system info

On Fedora 32, using Fedora package (i.e. moby-engine) and not the Docker CE distribution, you should have more precise error message...

Comment 3 FlyDove 2020-10-26 02:21:32 UTC
Bad For install podman-docker Not search  cockpit-docker on Fedora 32

Using Docker At Docker-ce Repo

repo https://download.docker.com/linux/fedora



dnf remove podman-docker cockpit-docker  fist

then install docker-ce

Comment 4 Olivier Lemasle 2020-10-26 13:37:23 UTC
I maintain Fedora package moby-engine, not upstream package docker-ce.

However, see upstream documentation: https://docs.docker.com/engine/install/fedora/


3. Cgroups Exception: For Fedora 31 and higher, you need to enable the backward compatibility for Cgroups.

$ sudo grubby --update-kernel=ALL --args="systemd.unified_cgroup_hierarchy=0"

After running the command, you must reboot for the changes to take effect.


Please follow these instructions to revert to Cgroups v1.


Note You need to log in before you can comment on or make changes to this bug.